From Fedora Project Wiki

(Add a note that we can continue without c-pchart.)
(updated for fedora28)
Line 1: Line 1:
This page tracks the effort of packaging [http://ampache.org Ampache] for Fedora. If you would like to help, please put your name in the Assignee column next to an unassigned package. Yellow notes highlight potential problems with the package, and red notes indicate that the package is blocked on another. Light green rows mean the package is in Rawhide, and green means the package is in Fedora 24-Rawhide. Packages that are in review can be found in [https://copr.fedorainfracloud.org/coprs/bowlofeggs/ampache/ bowlofeggs/ampache].
+
This page tracks the effort of packaging [http://ampache.org Ampache] for Fedora. If you would like to help, please put your name in the Assignee column next to an unassigned package. Yellow notes highlight potential problems with the package, and red notes indicate that the package is blocked on another. Light green rows mean the package is in Rawhide, and green means the package is in Fedora 28-Rawhide. Packages that are in review can be found in [https://copr.fedorainfracloud.org/coprs/bowlofeggs/ampache/ bowlofeggs/ampache].
  
  
Line 18: Line 18:
 
|style="background-color: yellow;" | Upstream [https://github.com/js-cookie/js-cookie renamed] and not backwards compatible. We may bundle this dependency until upstream switches to the renamed package.
 
|style="background-color: yellow;" | Upstream [https://github.com/js-cookie/js-cookie renamed] and not backwards compatible. We may bundle this dependency until upstream switches to the renamed package.
 
|
 
|
|-
+
|- style="background-color: #00FF00;"
 
|[https://github.com/xdan/datetimepicker js-jquery-datetimepicker]
 
|[https://github.com/xdan/datetimepicker js-jquery-datetimepicker]
 
|MIT
 
|MIT
Line 25: Line 25:
 
|
 
|
 
|[[User:Bowlofeggs | bowlofeggs ]]
 
|[[User:Bowlofeggs | bowlofeggs ]]
|-
+
|- style="background-color: #00FF00;"
 
|[https://github.com/blueimp/jQuery-File-Upload js-jquery-file-upload]
 
|[https://github.com/blueimp/jQuery-File-Upload js-jquery-file-upload]
 
|MIT
 
|MIT
Line 39: Line 39:
 
|There is no license file, but the Readme and file header both say GPLv2/MIT. I recommend sending a PR with License files.
 
|There is no license file, but the Readme and file header both say GPLv2/MIT. I recommend sending a PR with License files.
 
|
 
|
|- style="background-color: #90EE90;"
+
|- style="background-color: #00FF00;"
 
|[https://github.com/vakata/jstree js-jquery-jstree]
 
|[https://github.com/vakata/jstree js-jquery-jstree]
 
|MIT
 
|MIT
Line 46: Line 46:
 
|
 
|
 
|[[User:Bowlofeggs | bowlofeggs ]]
 
|[[User:Bowlofeggs | bowlofeggs ]]
|- style="background-color: #90EE90;"
+
|- style="background-color: #00FF00;"
 
|[http://anthonyterrien.com/knob/ js-jquery-knob]
 
|[http://anthonyterrien.com/knob/ js-jquery-knob]
 
|MIT
 
|MIT
Line 53: Line 53:
 
|
 
|
 
|[[User:Bowlofeggs | bowlofeggs ]]
 
|[[User:Bowlofeggs | bowlofeggs ]]
|-
+
|- style="background-color: #00FF00;"
 +
|[https://github.com/jquery/jquery-mousewheel js-jquery-mousewheel]
 +
|MIT
 +
|js-jquery-datetimepicker
 +
|[https://bugzilla.redhat.com/show_bug.cgi?id=1415410 #1415410]
 +
|
 +
|[[User:Bowlofeggs | bowlofeggs ]]
 +
|- style="background-color: #00FF00;"
 
|[https://github.com/needim/noty js-jquery-noty]
 
|[https://github.com/needim/noty js-jquery-noty]
 
|MIT
 
|MIT
Line 60: Line 67:
 
|
 
|
 
|[[User:Bowlofeggs | bowlofeggs ]]
 
|[[User:Bowlofeggs | bowlofeggs ]]
|- style="background-color: #90EE90;"
+
|- style="background-color: #00FF00;"
|[https://github.com/jquery/jquery-mousewheel js-jquery-mousewheel]
 
|MIT
 
|js-jquery-datetimepicker
 
|[https://bugzilla.redhat.com/show_bug.cgi?id=1415410 #1415410]
 
|
 
|[[User:Bowlofeggs | bowlofeggs ]]
 
|-
 
 
|[https://github.com/scaron/prettyphoto js-jquery-prettyphoto]
 
|[https://github.com/scaron/prettyphoto js-jquery-prettyphoto]
 
|Creative Commons 2.5 or GPLv2
 
|Creative Commons 2.5 or GPLv2
Line 95: Line 95:
 
|
 
|
 
|[[User:Bowlofeggs | bowlofeggs ]]
 
|[[User:Bowlofeggs | bowlofeggs ]]
|- style="background-color: #90EE90;"
+
|- style="background-color: #00FF00;"
 
|[https://github.com/kartik-v/php-date-formatter js-php-date-formatter]
 
|[https://github.com/kartik-v/php-date-formatter js-php-date-formatter]
 
|BSD
 
|BSD

Revision as of 18:09, 7 May 2018

This page tracks the effort of packaging Ampache for Fedora. If you would like to help, please put your name in the Assignee column next to an unassigned package. Yellow notes highlight potential problems with the package, and red notes indicate that the package is blocked on another. Light green rows mean the package is in Rawhide, and green means the package is in Fedora 28-Rawhide. Packages that are in review can be found in bowlofeggs/ampache.


Dependencies
Name License Dependency of BZ Review Notes Assignee
js-jquery-cookie MIT ampache Upstream renamed and not backwards compatible. We may bundle this dependency until upstream switches to the renamed package.
js-jquery-datetimepicker MIT ampache #1419361 bowlofeggs
js-jquery-file-upload MIT ampache #1411201 bowlofeggs
js-jquery-jscroll MIT and GPLv2 ampache There is no license file, but the Readme and file header both say GPLv2/MIT. I recommend sending a PR with License files.
js-jquery-jstree MIT ampache #1420153 bowlofeggs
js-jquery-knob MIT ampache #1411166 bowlofeggs
js-jquery-mousewheel MIT js-jquery-datetimepicker #1415410 bowlofeggs
js-jquery-noty MIT ampache #1421358 bowlofeggs
js-jquery-prettyphoto Creative Commons 2.5 or GPLv2 ampache #1421480 bowlofeggs
js-jquery-qrcode MIT ampache #1422741 bowlofeggs
js-responsive-elements MIT ampache #1421914 bowlofeggs
js-tag-it MIT ampache #1411157 bowlofeggs
js-php-date-formatter BSD js-jquery-datetimepicker #1418426 bowlofeggs
php-cboden-ratchet MIT ampache Blocked on php-guzzle-http. Depends on php-react-socket (bz submitted).
php-components-bootstrap MIT ampache Blocked on php-components-jquery. Might not be needed if we can just symlink to bootstrap within dependencies that use this package.
php-components-jquery MIT ampache, php-components-bootstrap Might not be needed if we can just symlink to jquery within dependencies that use this package.
php-components-jqueryui MIT ampache Blocked on php-components-jquery. Might not be needed if we can just symlink to jqueryui within dependencies that use this package.
php-echonest-api MIT ampache #1411188 Upstream seems to be inactive. bowlofeggs
php-evenement MIT ampache, php-react-socket, php-react-stream #1413339 bowlofeggs
php-gettext-gettext MIT ampache #1414216 Depends on php-gettext-languages (bz submitted) bowlofeggs
php-gettext-languages MIT php-gettext #1413434 bowlofeggs
php-guzzle-common MIT php-guzzle-http, php-guzzle-stream Abandoned upstream. We may bundle this dependency until upstream switches to guzzle/guzzle. siwinski
php-guzzle-http MIT php-cboden-ratchet Abandoned upstream. Blocked on php-guzzle-common, php-guzzle-parser and php-guzzle-stream. We may bundle this dependency until upstream switches to guzzle/guzzle. siwinski
php-guzzle-parser MIT php-guzzle-http Abandoned upstream. We may bundle this dependency until upstream switches to guzzle/guzzle. siwinski
php-guzzle-stream MIT php-guzzle-http Abandoned upstream. Blocked on php-guzzle-common. We may bundle this dependency until upstream switches to guzzle/guzzle. siwinski
js-jquery-jplayer MIT ampache bowlofeggs
php-maennchen-zipstream-php MIT ampache #1424721 bowlofeggs
php-mikealmond-musicbrainz MIT ampache #1429152 bowlofeggs
php-react MIT ampache #1414844 Depends on php-react-cache, php-react-child-process, php-react-dns, php-react-http, php-react-http-client, php-react-socket, php-react-socket-client, php-react-stream and php-react-event-loop (bzs submitted) siwinski
php-react-cache MIT php-react #1414825 siwinski
php-react-child-process MIT php-react #1414833 Depends on php-react-stream and php-react-event-loop (bzs submitted). siwinski
php-react-dns MIT php-react #1414839 Depends on php-react-cache and php-react-socket. siwinski
php-react-event-loop MIT php-react, php-react-child-process and php-react-socket #1414826 siwinski
php-react-http MIT php-react #1414840 Depends on php-evenement, php-react-socket and php-react-stream (bzs submitted) siwinski
php-react-http-client MIT php-react #1414843 Depends on php-evenement, php-react-dns, php-react-event-loop, php-react-socket-client and php-react-stream (bzs submitted) siwinski
php-react-promise-timer MIT php-react-socket-client #1414827 Depends on php-react-event-loop (bz submitted). siwinski
php-react-socket MIT php-cboden-ratchet #1414838 Depends on php-evenement, php-react-event-loop and php-react-stream (bzs submitted) siwinski
php-react-socket-client MIT php-react #1414842 Depends on php-react-dns, php-react-event-loop, php-react-promise-timer and php-react-stream. siwinski
php-react-stream MIT php-react-child-process and php-react-socket #1414828 siwinski
php-rmccue-requests ISC ampache #1424839 bowlofeggs
php-szymach-c-pchart GPLv3 ampache #1425275 There are legal issues with this package. bowlofeggs has been able to remove this package from his Ampache server without losing significant functionality, so we can proceed with packaging Ampacahe without c-pchart if we patch it out of Ampache. bowlofeggs